-- forest ghost

dofile("scripts/entities/entityinclude.lua")

function init()
	setupConversationEntity("Vedha")
	entity_setActivation(0, 80, 256)
		
	if isMapName("ForestEast") then
		if getFlag("MajaiHide")==0 then
			
		else
			forceBreakElement(13305, 10400, 1)
			forceBreakElement(13305, 10400, 1)
			forceBreakElement(13305, 10400, 1)

			entity_delete()
		end
	end
end

function activate()
	setFlag("MajaiHide", 1)
	msg1("Majai: I'm a rockbusters!")
	forceBreakElement(13305, 10400)
	wait(1)
	forceBreakElement(13305, 10400)
	wait(1)
	forceBreakElement(13305, 10400)
	wait(1)
	msg1("Maija: Byez!")
	entity_delete()
end

function update(dt)
end

function enterState()
end

function exitState()
end


